<?php
/**
 *   
 * @version 1.0
 * @package PHPShopClass
 */
class PHPShopText {

    function b($string) {
        return '<b>'.$string.'</b>';
    }

    function notice($string,$icon=false) {
        if(!empty($icon)) $img=PHPShopText::img($icon);
        return $img.'<font color="red">'.$string.'</font>';
    }

    function message($string,$icon=false) {
        if(!empty($icon)) $img=PHPShopText::img($icon);
        return $img.'<font color="green">'.$string.'</font>';
    }

    function img($src,$hspace=5,$align='left') {
        return '<img src="'.$src.'" hspace="'.$hspace.'" align="'.$align.'">';
    }

    function a($href,$text,$title=false,$color=false,$size=false) {
        $style='text-decoration:underline;';
        if($size) $style.='font-size:'.$size.'px;';
        if($color) $style.='color:'.$color;
        if(empty($title)) $title=$text;
        return '<a href="'.$href.'" title="'.$title.'" style="'.$style.'">'.$text.'</a>';
    }

    function h1($string) {
        return '<h1>'.$string.'</h1>';
    }

    function ul($string) {
        return '<ul>'.$string.'</ul>';
    }

    function li($string,$href=false) {
        if(!empty($href)) {
            $text=PHPShopText::a($href,$string);
            $li='<li>'.$text.'</li>';
        }
        else $li='<li>'.$string.'</li>';
        return $li;
    }

}
?>