-- 
--   `phpshop_modules`
-- 

CREATE TABLE `phpshop_modules` (
  `path` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;





-- 
--   `phpshop_banners`
-- 

CREATE TABLE `phpshop_banners` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `content` text NOT NULL,
  `count_all` int(64) NOT NULL default '0',
  `count_today` int(64) NOT NULL default '0',
  `enabled` enum('0','1') NOT NULL default '0',
  `date` varchar(32) NOT NULL default '',
  `limit_all` int(32) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;





INSERT INTO `phpshop_banners` VALUES (1, ' CMS Free', '<p><a href="http://forum.phpshopcms.ru" target="_blank"><img src="/UserFiles/Image/demo/banner-forum-cms.gif" border="0" width="468" height="60" /></a></p>', 7535, 24, '1', '07.06.11', 100000);
INSERT INTO `phpshop_banners` VALUES (2, ' ', '<p><a href="http://wiki.phpshopcms.ru/index.php/PHPShop_IDE"><img style="border: 0px;" src="/UserFiles/Image/demo/editor.gif" alt="" width="480" height="60" /></a></p>', 4585, 12, '1', '07.06.11', 2147483647);
INSERT INTO `phpshop_banners` VALUES (3, ' -', '<p><object width="460" height="80" data="/UserFiles/Media/shopbuilder.swf" type="application/x-shockwave-flash"><param name="data" value="/UserFiles/Media/shopbuilder.swf" /><param name="src" value="/UserFiles/Media/shopbuilder.swf" /></object></p>', 11, 10, '1', '07.06.11', 2147483647);
      

-- --------------------------------------------------------

-- 
--   `phpshop_categories`
-- 


CREATE TABLE `phpshop_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `num` int(64) NOT NULL default '1',
  `parent_to` int(11) NOT NULL default '0',
  `content` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_categories`
--

INSERT INTO `phpshop_categories` VALUES (3, ' PHPShop CMS Free', 1, 0, '');


-- --------------------------------------------------------

-- 
--   `phpshop_gbook`
-- 

CREATE TABLE `phpshop_gbook` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `mail` varchar(32) NOT NULL default '',
  `title` text NOT NULL,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `enabled` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_gbook`
--

INSERT INTO `phpshop_gbook` VALUES (1, 1295427600, '-', '', '   ?', '         ?', ' PHPShop CMS Free -  &#160;  .           <a href="/doc/license.html"> </a>.', '1');
       
-- --------------------------------------------------------

-- 
--   `phpshop_links`
-- 

CREATE TABLE `phpshop_links` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `image` text NOT NULL,
  `content` text NOT NULL,
  `link` text NOT NULL,
  `num` int(11) default NULL,
  `enabled` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_links`
-- 

INSERT INTO `phpshop_links` VALUES (1, 'PHPShop Software', '', ' -,  - PHPShop.', 'http://www.phpshop.ru', 5, '1');
INSERT INTO `phpshop_links` VALUES (2, 'PHPShop CMS Free', '', ' c   PHPShop CMS Free.', 'http://www.phpshopcms.ru', 3, '1');
INSERT INTO `phpshop_links` VALUES (3, 'Vsego Mnogo', '', 'Vsego-mnogo.ru -    , , -, -. ', 'http://www.vsego-mnogo.ru', 1, '1');
INSERT INTO `phpshop_links` VALUES (4, ' ,  ', '', '   ,           -          .', 'http://www.bioscorp.ru', 10, '1');
INSERT INTO `phpshop_links` VALUES (5, '    ', '', '  - Aerosystema     -    .      ,            .', 'http://aerosystema.ru', 10, '1');
INSERT INTO `phpshop_links` VALUES (5, ' -', '', 'Shopbuilder -   SaaS   -,         -  599 .', 'http://www.shopbuilder.ru', 1, '1');

-- --------------------------------------------------------

-- 
--   `phpshop_menu`
-- 


CREATE TABLE `phpshop_menu` (
  `id` int(32) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `content` text NOT NULL,
  `flag` varchar(64) NOT NULL default '1',
  `num` int(16) NOT NULL default '0',
  `dir` text NOT NULL,
  `element` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_menu`
--

INSERT INTO `phpshop_menu` VALUES (1, 'PHPShop Pro 1C', '<img hspace="5" alt="" vspace="5" align="left" width="48" height="48" src="/UserFiles/Image/demo/installer.png" />   -  . <strong>  -   1.     1  -.      1.</strong>   ,    -  , ,    ..\r\n<div align="right"><a title="" href="http://www.phpshop.ru/docs/product5.html"> </a></div>', '1', 4, '', 1);
INSERT INTO `phpshop_menu` VALUES (5, 'M', '<p><img hspace="5" alt="" align="left" width="48" height="48" src="/UserFiles/Image/demo/modules.png" />  CMS Free    <a href="http://www.phpshopcms.ru/module/"> </a>.</p>', '1', 2, '', 1);
INSERT INTO `phpshop_menu` VALUES (3, 'PHPShop Start', '<img hspace="5" alt="" vspace="5" align="left" width="48" height="48" src="/UserFiles/Image/demo/installer.png" />  -  . <strong>      .</strong>        -.   ,   .<br />\r\n<div align="right"><a title="" href="http://www.phpshop.ru/docs/product2.html"> </a></div>', '1', 4, '', 1);
INSERT INTO `phpshop_menu` VALUES (4, 'PHPShop IDE', '<a title="PHPShop IDE" target="_blank" href="http://phpshopcms.ru/version/setup_cms.exe"><img border="0" hspace="5" alt="" align="left" width="48" height="48" src="/UserFiles/Image/demo/phpshopide.png" />  </a>    .', '1', 1, '', 1);

-- --------------------------------------------------------

-- 
--   `phpshop_news`
-- 

CREATE TABLE `phpshop_news` (
  `id` int(64) NOT NULL auto_increment,
  `date` varchar(32) NOT NULL default '',
  `title` text NOT NULL,
  `description` text NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

-- 
--   `phpshop_opros`
-- 

CREATE TABLE `phpshop_opros` (
  `id` int(11) NOT NULL auto_increment,
  `category` int(11) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `total` int(11) NOT NULL default '0',
  `num` tinyint(32) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `category` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_opros`
-- 

INSERT INTO `phpshop_opros` VALUES (1, 1, '', 0, 0);
INSERT INTO `phpshop_opros` VALUES (2, 1, ' ...', 0, 0);
INSERT INTO `phpshop_opros` VALUES (3, 1, '', 0, 0);
INSERT INTO `phpshop_opros` VALUES (4, 1, '  ?', 0, 0);

-- --------------------------------------------------------

-- 
--   `phpshop_opros_categories`
-- 

CREATE TABLE `phpshop_opros_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `dir` varchar(32) NOT NULL default '',
  `flag` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_opros_categories`
-- 

INSERT INTO `phpshop_opros_categories` VALUES (1, '    ', '', '1');

-- --------------------------------------------------------

-- 
--   `phpshop_pages`
-- 


CREATE TABLE `phpshop_pages` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `link` varchar(64) NOT NULL default '',
  `category` int(32) NOT NULL default '0',
  `keywords` text NOT NULL,
  `content` text NOT NULL,
  `flag` varchar(16) NOT NULL default '1',
  `num` smallint(3) NOT NULL default '0',
  `date` varchar(64) NOT NULL default '',
  `enabled` enum('0','1','2') NOT NULL default '1',
  `title` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `skin_enabled` enum('0','1') NOT NULL default '0',
  `skin` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `link` (`link`),
  FULLTEXT KEY `content` (`content`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_pages`
--

INSERT INTO `phpshop_pages` VALUES (1, ' ', 'index', 2000, '', '<p><strong><img style="float: left; margin-left: 5px; margin-right: 5px" title="PHPShop" alt="PHPShop" width="120" height="143" src="/UserFiles/Image/demo/boxnew3.gif" />PHPShop CMS Free</strong>    ,              .            ,          .</p>\r\n<p><strong>   PHPShop CMS Free      ,     .</strong></p>\r\n<p><strong><span style="text-decoration: underline"><br />\r\n</span></strong></p>\r\n<h1><span style="font-size: medium"><strong>PHPShop CMS Free  :<br />\r\n</strong></span></h1>\r\n<p><strong>  .</strong>          ,        Windows.           .</p>\r\n<p><strong> .</strong>       ,          PHPShop CMS Free,         .  <a href="/page/freecms.html"></a>,     PHPShop CMS Free.</p>\r\n<p><strong> .</strong>     ,            <a href="/page/easycontrol.html">PHPShop EasyControl</a>.   PHPShop EasyControl           ,       ,  ,   ,      .</p>\r\n<p><strong> .</strong>         ,   .             .     !</p>', '', 0, '1193224168', '1', '', '', '', 'aeroblue');
INSERT INTO `phpshop_pages` VALUES (18, '  PHPShop CMS', 'freecms', 3, 'PHPShop CMS, -, ', '<p><strong>PHPShop CMS Free</strong>    ,              .            ,          .</p>\r\n<p><strong>   PHPShop CMS Free      ,     .</strong></p>\r\n<p><strong>&#160;</strong>C  <strong>PHPShop CMS Free</strong>        .     -  ,       ,      PHPShop CMS Free     .</p>\r\n<h2>   PHPShop CMS Free?</h2>\r\n<p> <strong>      </strong>.        ,  -         -,          -, PHPShop CMS Free -  ,   .</p>\r\n<p>  ,         ,     ,        . ,     .</p>\r\n<h2>  ?</h2>\r\n<p>   CMS   <strong>  Windows</strong>,     PHPShop Easy Control,           . <strong> ,   PHPShop Easy Control,         </strong>.</p>\r\n<p> ,     ,  ,     , ,              -. ,   CMS  PHPShop Easy Control       .</p>\r\n<p><object style="width: 425px; height: 350px" type="application/x-shockwave-flash" data="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" /></object></p>\r\n<h2>   PHPShop CMS Free?</h2>\r\n<p>  CMS   ,   ,    <strong>,   </strong>.          ,        Windows.</p>\r\n<p>          .       ,          PHPShop CMS Free,         .</p>\r\n<p>      phpshopcms.ru,        -   PHPShop Easy Control,        .  ,         ,   ,        F.A.Q -   .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" /></object></p>\r\n<h2>   ?</h2>\r\n<p>    -,   <strong>       100    </strong>.      ,        ,    .</p>\r\n<p>    ,   PHPShop Temlates,   Easy Control,          -  PHPShop Editor,        .         -       HTML-.</p>\r\n<p> <strong>       , ,     </strong>.      HTML-,              .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" /></object></p>\r\n<h2>    ()?</h2>\r\n<p> ,  CMS       ,     ,   - .      ,      .</p>\r\n<p>          ,          (, , )     .           ,  ,  ,   -    .</p>\r\n<p>       ,    CMS   <strong>WYSIWYG  </strong>.    Word       , ,        ,         ( ).            ,         .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" /></object></p>\r\n<h2>   ?</h2>\r\n<p>PHPShop CMS Free - <strong>   - PHPShop Software</strong>.    CMS    -          .</p>\r\n<p> 2008        PHPShop CMS Free   50 000.   ,  <strong>      </strong>,       .</p>', '1', 0, '', '1', '', '', '0', '');
INSERT INTO `phpshop_pages` VALUES (11, ' ', 'about', 1000, 'PHPShop Software, Wiki, Forum', '<h1>PHPShop Software</h1>\r\n<p>PHPShop CMS Free - <strong>   - PHPShop Software</strong>.    CMS    -          .<br />\r\n&#160;</p>\r\n<div class="cl">   : <a href="http://forum.phpshopcms.ru/">http://forum.phpshopcms.ru</a><br />\r\n  : <a href="http://www.phpshopcms.ru/help/">http://www.phpshopcms.ru/help/</a><br />\r\n Wiki: <a href="http://wiki.phpshopcms.ru/">http://wiki.phpshopcms.ru</a><br />\r\n-:&#160;<a href="http://www.youtube.com/user/phpshopsoftware">http://www.youtube.com/user/phpshopsoftware</a><br />\r\nTwitter:&#160;<a href="http://twitter.com/PHPShopCMS">http://twitter.com/PHPShopCMS</a><br />\r\n&#160;</div>', '', 0, '1191590556', '1', '', '', '0', '');
INSERT INTO `phpshop_pages` VALUES (23, ' ', '../skin/free', 1000, '', '', '1', 0, '', '1', '', '', '0', '');
INSERT INTO `phpshop_pages` VALUES (19, ' ', 'design', 3, ' ', '<p><strong>    !</strong></p>\r\n<p>PHPShop CMS Free      ,     -: <strong>         100    !</strong></p>\r\n<p>     ,      ,    .         &#160; PHPShop Templates,   EasyControl.</p>\r\n<p><strong>        ? </strong>       PHPShop Editor!</p>\r\n<p>        -       HTML-.         , ,     .      HTML-,              .      CSS .        ,       .          .</p>\r\n<p><strong>       Server Sinhronizer.</strong>              .</p>\r\n<p><object style="display: block; margin-left: auto; margin-right: auto" type="application/x-shockwave-flash" data="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" /></object></p>', '1', 0, '', '1', '', '', '0', '');
INSERT INTO `phpshop_pages` VALUES (20, 'IDE  ', 'ide', 3, 'PHPShop IDE', '<p><strong>       PHPShop CMS Free?</strong></p>\r\n<p>       PHPShop IDE,         PHPShop API.</p>\r\n<p style="text-align: justify"><br />\r\n<img alt="PHPShop IDE" width="450" height="240" src="http://phpshopcms.ru/UserFiles/Image/editor/ide_small.gif" /></p>\r\n<p><strong><br />\r\nPHPShop IDE </strong>   -,          .        ,       PHPShop.     :<br />\r\n&#160;</p>\r\n<ul>\r\n    <li>     PHPShop API;</li>\r\n    <li>        ;</li>\r\n    <li>    HTML  PHP ;</li>\r\n    <li>      ;</li>\r\n    <li>   PHPShop API;</li>\r\n    <li>       ;</li>\r\n    <li>     XML   IDE;</li>\r\n    <li> ;</li>\r\n    <li>  ;</li>\r\n    <li>;</li>\r\n    <li>      .</li>\r\n</ul>\r\n<p>PHPShop IDE         (php,sql,ini,xml,js).</p>', '1', 0, '', '1', '', '', '0', '');
INSERT INTO `phpshop_pages` VALUES (21, '  EasyControl', 'easycontrol', 3, 'EasyControl,  PHPShop Editor', '<p>    ,            PHPShop EasyControl.   PHPShop EasyControl           ,       ,  ,   ,      .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/profile.png" /></strong></p>\r\n<p><strong>PHPShop   </strong></p>\r\n<p style="text-align: left">        ,       ,           PHPShop Synchronization.     Apache 1.3, PHP 4.3  MySQL 4.1.      Localhost.</p>\r\n<p><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="44" src="/UserFiles/Image/demo/editor1.jpg" /><strong>PHPShop Editor</strong></p>\r\n<p>   PHPShop Editor -     ,     ,    ,      .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/server_to_client.png" />PHPShop Installer</strong></p>\r\n<p>PHPShop Installer -         .    ,     .        -.</p>\r\n<p><strong><img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/update.png" /><br />\r\nPHPShop Updater</strong></p>\r\n<p>PHPShop Updater -      .   PHPShop Updater   5      .      -             .  "-"    ( )    .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/server_from_client.png" />Server Synchronizer</strong></p>\r\n<p>Server Synchronizer -  ,  -  " "   ,    .        ,     ,            .<br />\r\nAuto Server Synchronizer -    -    .</p>\r\n<p>&#160;</p>', '1', 0, '', '1', '', '', '0', '');

-- --------------------------------------------------------

-- 
--   `phpshop_photo_categories`
-- 

CREATE TABLE `phpshop_photo_categories` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_to` int(11) default '0',
  `link` varchar(64) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `num` tinyint(11) NOT NULL default '0',
  `content` text NOT NULL,
  `enabled` enum('0','1') NOT NULL default '0',
  `page` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_photo_categories`
-- 
--

INSERT INTO `phpshop_photo_categories` VALUES (6, 0, 'phgal', ' ', 1, '<p> PHPShop Software   .   &#160; &#160;  ,  &#160;&#160;  CMS Free       :)<br />\r\n<br />\r\n&#160;</p>', '1', 'news/');

-- --------------------------------------------------------

-- 
--   `phpshop_photo`
-- 


CREATE TABLE `phpshop_photo` (
  `id` int(11) NOT NULL auto_increment,
  `category` int(11) default '0',
  `enabled` enum('0','1') NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `num` tinyint(11) NOT NULL default '0',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `parent` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_photo_foto`
-- 

INSERT INTO `phpshop_photo` VALUES (102, 6, '1', '/UserFiles/Image/demo/img6_17345.jpg', 0, ' ');
INSERT INTO `phpshop_photo` VALUES (103, 6, '1', '/UserFiles/Image/demo/img6_20086.jpg', 1, ' ');
INSERT INTO `phpshop_photo` VALUES (104, 6, '1', '/UserFiles/Image/demo/img6_15292.jpg', 2, ' ');
INSERT INTO `phpshop_photo` VALUES (105, 6, '1', '/UserFiles/Image/demo/img6_15923.jpg', 3, ' ');
INSERT INTO `phpshop_photo` VALUES (106, 6, '1', '/UserFiles/Image/demo/img6_78966.jpg', 4, ' ');
INSERT INTO `phpshop_photo` VALUES (107, 6, '1', '/UserFiles/Image/demo/img6_53303.jpg', 6, ' ');
INSERT INTO `phpshop_photo` VALUES (108, 6, '1', '/UserFiles/Image/demo/img6_17261.jpg', 8, ' ');
INSERT INTO `phpshop_photo` VALUES (109, 6, '1', '/UserFiles/Image/demo/img6_13229.jpg', 9, ' ');

-- --------------------------------------------------------

-- 
--   `phpshop_rssgraber`
-- 

CREATE TABLE `phpshop_rssgraber` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `link` text NOT NULL,
  `day_num` int(1) NOT NULL default '1',
  `news_num` mediumint(8) NOT NULL default '0',
  `enabled` enum('0','1') NOT NULL default '1',
  `start_date` int(16) unsigned NOT NULL default '0',
  `end_date` int(16) unsigned NOT NULL default '0',
  `last_load` int(16) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_rssgraber`
-- 

-- 
--    `phpshop_rssgraber`
-- 

INSERT INTO `phpshop_rssgraber` VALUES (1, 'http://phpshopcms.ru/rss.php', 1, 10, '1', 1257714000, 1288558800, 1296766800);


-- --------------------------------------------------------

-- 
--   `phpshop_rssgraber_jurnal`
-- 

CREATE TABLE `phpshop_rssgraber_jurnal` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `date` int(15) unsigned NOT NULL default '0',
  `link_id` int(11) NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_rssgraber_jurnal`
-- 


-- --------------------------------------------------------

-- 
--   `phpshop_send_mail`
-- 

CREATE TABLE `phpshop_send_mail` (
  `id` int(64) NOT NULL auto_increment,
  `date` varchar(32) NOT NULL default '',
  `mail` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_send_mail`
-- 


-- --------------------------------------------------------

-- 
--   `phpshop_system`
--

CREATE TABLE `phpshop_system` (
  `id` tinyint(1) NOT NULL auto_increment,
  `name` text,
  `company` text,
  `num_row` int(10) default NULL,
  `skin` varchar(32) default NULL,
  `admin_mail` varchar(64) NOT NULL default '',
  `title` text NOT NULL,
  `keywords` text NOT NULL,
  `skin_choice` enum('0','1') NOT NULL default '0',
  `tel` text NOT NULL,
  `meta` text NOT NULL,
  `admoption` text NOT NULL,
  `rss_use` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_system`
--

INSERT INTO `phpshop_system` VALUES (1, ' ', 'PHPShop Software', 5, 'pure', 'admin@localhost', 'PHPShop CMS 3  -  ', ' ,   ', '1', '(495) 111-222-333', '  PHPShop CMS', 'a:17:{s:17:"image_save_source";N;s:18:"rss_graber_enabled";s:1:"1";s:5:"img_w";s:3:"600";s:5:"img_h";s:3:"600";s:6:"img_tw";s:3:"150";s:6:"img_th";s:3:"150";s:14:"width_podrobno";s:3:"100";s:12:"width_kratko";s:3:"100";s:5:"theme";s:7:"fashion";s:11:"cloud_color";s:6:"1180F2";s:6:"editor";s:8:"tiny_mce";s:9:"xmlencode";s:0:"";s:7:"wintype";s:9:"highslide";s:4:"lang";s:7:"russian";s:13:"watermark_big";a:21:{s:11:"big_enabled";N;s:8:"big_type";s:3:"png";s:12:"big_png_file";s:0:"";s:14:"big_mergeLevel";i:100;s:12:"big_copyFlag";s:1:"0";s:6:"big_sm";i:0;s:16:"big_positionFlag";s:1:"1";s:13:"big_positionX";i:0;s:13:"big_positionY";i:0;s:9:"big_alpha";i:0;s:8:"big_text";s:0:"";s:21:"big_text_positionFlag";i:0;s:8:"big_size";i:0;s:9:"big_angle";i:0;s:18:"big_text_positionX";i:0;s:18:"big_text_positionY";i:0;s:10:"big_colorR";i:0;s:10:"big_colorG";i:0;s:10:"big_colorB";i:0;s:14:"big_text_alpha";i:0;s:8:"big_font";s:16:"norobot_font.ttf";}s:15:"watermark_small";a:21:{s:13:"small_enabled";N;s:10:"small_type";s:3:"png";s:14:"small_png_file";s:0:"";s:16:"small_mergeLevel";i:100;s:14:"small_copyFlag";s:1:"0";s:8:"small_sm";i:0;s:18:"small_positionFlag";s:1:"1";s:15:"small_positionX";i:0;s:15:"small_positionY";i:0;s:11:"small_alpha";i:0;s:10:"small_text";s:0:"";s:23:"small_text_positionFlag";i:0;s:10:"small_size";i:0;s:11:"small_angle";i:0;s:20:"small_text_positionX";i:0;s:20:"small_text_positionY";i:0;s:12:"small_colorR";i:0;s:12:"small_colorG";i:0;s:12:"small_colorB";i:0;s:16:"small_text_alpha";i:0;s:10:"small_font";s:16:"norobot_font.ttf";}s:15:"watermark_ishod";a:21:{s:13:"ishod_enabled";N;s:10:"ishod_type";s:3:"png";s:14:"ishod_png_file";s:0:"";s:16:"ishod_mergeLevel";i:100;s:14:"ishod_copyFlag";s:1:"0";s:8:"ishod_sm";i:0;s:18:"ishod_positionFlag";s:1:"1";s:15:"ishod_positionX";i:0;s:15:"ishod_positionY";i:0;s:11:"ishod_alpha";i:0;s:10:"ishod_text";s:0:"";s:23:"ishod_text_positionFlag";i:0;s:10:"ishod_size";i:0;s:11:"ishod_angle";i:0;s:20:"ishod_text_positionX";i:0;s:20:"ishod_text_positionY";i:0;s:12:"ishod_colorR";i:0;s:12:"ishod_colorG";i:0;s:12:"ishod_colorB";i:0;s:16:"ishod_text_alpha";i:0;s:10:"ishod_font";s:16:"norobot_font.ttf";}}', 0);
 

-- 
--   `phpshop_users`
-- 

CREATE TABLE `phpshop_users` (
  `id` int(11) NOT NULL auto_increment,
  `status` enum('0','1','2','3') NOT NULL default '0',
  `login` varchar(64) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `mail` varchar(64) NOT NULL default '',
  `enabled` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

    